libdap::RCReader Class Reference

`#include <RCReader.h>`

## Public Member Functions

string | get_ais_database () const throw ()
int | get_always_validate () const throw ()
string | get_cookie_jar () const throw ()
int | get_default_expires () const throw ()
bool | get_deflate () const throw ()
string | get_dods_cache_root () const throw ()
int | get_ignore_expires () const throw ()
int | get_max_cache_size () const throw ()
unsigned int | get_max_cached_obj () const throw ()
string | get_no_proxy_for_host () const throw ()
int | get_no_proxy_for_port () const throw ()
string | get_no_proxy_for_protocol () const throw ()
string | get_proxy_for_proxy_host_url () const throw ()
string | get_proxy_for_regexp () const throw ()
int | get_proxy_for_regexp_flags () const throw ()
string | get_proxy_server_host () const throw ()
| Get the proxy host. More...
string | get_proxy_server_host_url () const throw ()
int | get_proxy_server_port () const throw ()
| Get the proxy port. More...
string | get_proxy_server_protocol () const throw ()
| Get the proxy server protocol. More...
string | get_proxy_server_userpw () const throw ()
| Get the proxy username and password. More...
bool | get_use_cache () const throw ()
int | get_validate_ssl () const throw ()
bool | is_no_proxy_for_used () throw ()
bool | is_proxy_for_used () throw ()
void | set_ais_database (const string &db) throw ()
void | set_always_validate (int i) throw ()
void | set_default_expires (int i) throw ()
void | set_deflate (bool b) throw ()
void | set_ignore_expires (int i) throw ()
void | set_max_cache_size (int i) throw ()
void | set_max_cached_obj (int i) throw ()
void | set_no_proxy_for_host (const string &s) throw ()
void | set_no_proxy_for_port (int i) throw ()
void | set_no_proxy_for_protocol (const string &s) throw ()
void | set_proxy_for_proxy_host_url (const string &s) throw ()
void | set_proxy_for_regexp (const string &s) throw ()
void | set_proxy_for_regexp_flags (int i) throw ()
void | set_proxy_server_host (const string &s) throw ()
void | set_proxy_server_host_url (const string &s) throw ()
void | set_proxy_server_port (int l) throw ()
void | set_proxy_server_protocol (const string &s) throw ()
void | set_proxy_server_userpw (const string &s) throw ()
void | set_use_cache (bool b) throw ()
void | set_validate_ssl (int i) throw ()

## Static Public Member Functions

static RCReader * | instance ()

## Friends

class | HTTPConnectTest
class | RCReaderTest

## Detailed Description

Read the .dodsrc file. By default the file ~/.dodsrc is read. If the environment variable DODS_CONF is set, use that value as the pathname to the configuration file. Else, if the environment variable DODS_CACHE_INIT is set, use that value.

NB: DODS_CACHE_INIT is deprecated and may be removed in the future.

Author
  Jose Garcia jgarc.nosp@m.ia@u.nosp@m.car.e.nosp@m.du

Definition at line 54 of file RCReader.h.

## Member Function Documentation

## get_no_proxy_for_port()

int libdap::RCReader::get_no_proxy_for_port | ( |  | ) | const
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 250 of file RCReader.h.

## get_proxy_for_proxy_host_url()

string libdap::RCReader::get_proxy_for_proxy_host_url | ( |  | ) | const
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 220 of file RCReader.h.

## get_proxy_for_regexp()

string libdap::RCReader::get_proxy_for_regexp | ( |  | ) | const
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 215 of file RCReader.h.

## get_proxy_for_regexp_flags()

int libdap::RCReader::get_proxy_for_regexp_flags | ( |  | ) | const
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 226 of file RCReader.h.

## get_proxy_server_host()

string libdap::RCReader::get_proxy_server_host | ( |  | ) | const
throw | ( |
| ) |  |

inline

Get the proxy host.

Definition at line 181 of file RCReader.h.

## get_proxy_server_host_url()

string libdap::RCReader::get_proxy_server_host_url | ( |  | ) | const
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 196 of file RCReader.h.

## get_proxy_server_port()

int libdap::RCReader::get_proxy_server_port | ( |  | ) | const
throw | ( |
| ) |  |

inline

Get the proxy port.

Definition at line 186 of file RCReader.h.

## get_proxy_server_protocol()

string libdap::RCReader::get_proxy_server_protocol | ( |  | ) | const
throw | ( |
| ) |  |

inline

Get the proxy server protocol.

Definition at line 176 of file RCReader.h.

## get_proxy_server_userpw()

string libdap::RCReader::get_proxy_server_userpw | ( |  | ) | const
throw | ( |
| ) |  |

inline

Get the proxy username and password.

Definition at line 191 of file RCReader.h.

## is_proxy_for_used()

bool libdap::RCReader::is_proxy_for_used | ( |  | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 210 of file RCReader.h.

## set_no_proxy_for_port()

void libdap::RCReader::set_no_proxy_for_port | ( | int | i | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 349 of file RCReader.h.

## set_proxy_for_proxy_host_url()

void libdap::RCReader::set_proxy_for_proxy_host_url | ( | const string & | s | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 329 of file RCReader.h.

## set_proxy_for_regexp()

void libdap::RCReader::set_proxy_for_regexp | ( | const string & | s | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 324 of file RCReader.h.

## set_proxy_for_regexp_flags()

void libdap::RCReader::set_proxy_for_regexp_flags | ( | int | i | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 334 of file RCReader.h.

## set_proxy_server_host_url()

void libdap::RCReader::set_proxy_server_host_url | ( | const string & | s | ) |
throw | ( |
| ) |  |

inline

Deprecated:

Definition at line 318 of file RCReader.h.

The documentation for this class was generated from the following files:

- RCReader.h
- RCReader.cc